Puppet 3.0.0 is here

As some of you may have noticed already, Puppet configuration management system has just been upgraded to 3.0.0 release.

Being a major milestone, this upgrade brings the following major improvements:

  • performance is much better for catalog compilation
  • improved and expanded OS support – lots of Windows improvements, great new functionality for Solaris (zones, packages and services are finally supported now)
  • pluginsync is now enabled by default
  • new version of Ruby is supported (Ruby 1.9) and Ruby DSL was completely rewritten
  • dynamic scoping is no longer supported (yep, this breaks backwards compatibility with 2.7.x branch of Puppet)
If you're new to Puppet, please visit the PuppetLabs website for more info and for free download.

I have read and reviewed a couple of great books on Puppet, so check the reviews out:

Share and Enjoy

  • Facebook
  • Twitter
  • Delicious
  • LinkedIn
  • StumbleUpon
  • Add to favorites
  • Email
  • RSS